# Uses of Class
it.tdlight.jni.TdApi.FirebaseAuthenticationSettings

## Uses of TdApi.FirebaseAuthenticationSettings in it.tdlight.jni

Subclasses of TdApi.FirebaseAuthenticationSettings in it.tdlight.jni
Modifier and Type
Class
Description
`static final class`
`TdApi.FirebaseAuthenticationSettingsAndroid`
Settings for Firebase Authentication in the official Android application.
`static final class`
`TdApi.FirebaseAuthenticationSettingsIos`
Settings for Firebase Authentication in the official iOS application.
Fields in it.tdlight.jni declared as TdApi.FirebaseAuthenticationSettings
Modifier and Type
Field
Description
`TdApi.FirebaseAuthenticationSettings`
TdApi.PhoneNumberAuthenticationSettings.`firebaseAuthenticationSettings`
For official Android and iOS applications only; pass null otherwise.
Constructors in it.tdlight.jni with parameters of type TdApi.FirebaseAuthenticationSettings
Modifier
Constructor
Description
``
`PhoneNumberAuthenticationSettings(boolean allowFlashCall, boolean allowMissedCall, boolean isCurrentPhoneNumber, boolean allowSmsRetrieverApi, TdApi.FirebaseAuthenticationSettings firebaseAuthenticationSettings, String[] authenticationTokens)`
Contains settings for the authentication of the user's phone number.